.report-modal-component .report-modal-content {
  background-color: var(--white);
  box-shadow: 0px 3px 6px var(--black-2);
  border-radius: 12px;
  padding: 1.5% 0.7% 1.7% 0.7%;
  width: 432px;
  position: relative; /* Asegura que los elementos posicionados estén dentro del modal */
}

.report-modal-component .report-modal-dialog {
  display: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
}

.report-modal-component .report-modal-header {
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: none;
  position: relative;
  margin-bottom: 3.5%;
}

.report-modal-component .report-modal-close {
  position: absolute;
  top: -30px;
  right: -5px;
  font-size: 15px;
  background: none;
  border: none;
  cursor: pointer;
}

.report-modal-component .report-modal-title {
  text-align: center;
  width: 100%;
  margin: 0;
}

.report-modal-component .report-modal-body {
  padding: 0;
  margin-bottom: 7%;
}

.report-modal-component {
  z-index: 1050;
}

.modal-backdrop {
  z-index: 1040;
}

body.modal-open {
  overflow: hidden;
}

.report-modal-component .report-modal-subtitle {
  display: flex;
  justify-content: center;
  margin-bottom: 3.5%;
}

.report-modal-component .report-modal-form-group {
  display: flex;
  justify-content: center;
}

.report-modal-component .report-modal-actions-btns {
  width: 87%;
  padding-top: 14px;
  padding-bottom: 14px;
  border-radius: 8px;
  background: var(--gray-5) 0% 0% no-repeat padding-box;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.5%;
}

.report-modal-component .report-modal-footer {
  display: flex;
  justify-content: center;
  border-top: none;
}

.report-modal-component .report-modal-text {
  width: 90%;
  text-align: center;
}